unit Formatedhint;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, cpFormatedHint, ExtCtrls, Spin;

type
  TForm1 = class(TForm)
    cpFormatedHint1: TcpFormatedHint;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    ColorDialog1: TColorDialog;
    Button4: TButton;
    Button5: TButton;
    FontDialog1: TFontDialog;
    Button7: TButton;
    GroupBox1: TGroupBox;
    Label1: TLabel;
    Shape1: TShape;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    ComboBox1: TComboBox;
    CheckBox1: TCheckBox;
    RadioButton1: TRadioButton;
    RadioButton2: TRadioButton;
    SpinEdit1: TSpinEdit;
    SpinEdit2: TSpinEdit;
    ComboBox2: TComboBox;
    Button6: TButton;
    SpinEdit3: TSpinEdit;
    procedure FormCreate(Sender: TObject);
    procedure ComboBox1Change(Sender: TObject);
    procedure CheckBox1Click(Sender: TObject);
    procedure Shape1MouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure RadioButton1Click(Sender: TObject);
    procedure SpinEdit1Change(Sender: TObject);
    procedure SpinEdit2Change(Sender: TObject);
    procedure ComboBox2Change(Sender: TObject);
    procedure Button6Click(Sender: TObject);
    procedure SpinEdit3Change(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
	ComboBox1.ItemIndex:=6;
	ComboBox2.ItemIndex:=1;
end;

procedure TForm1.ComboBox1Change(Sender: TObject);
begin
	cpFormatedHint1.EdgeStyle:=Tedge(combobox1.itemindex);
end;

procedure TForm1.CheckBox1Click(Sender: TObject);
begin
	cpFormatedHint1.Enabled:=CheckBox1.checked;
end;

procedure TForm1.Shape1MouseDown(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
	if ColorDialog1.execute then
  	begin
    	shape1.Brush.Color:=colordialog1.color;
      cpFormatedHint1.Color:=colordialog1.color;
    end;
end;

procedure TForm1.RadioButton1Click(Sender: TObject);
begin
  if radiobutton1.checked then
  	cpFormatedHint1.Position:=pBelow
  else
  	cpFormatedHint1.Position:=pAbove;
end;

procedure TForm1.SpinEdit1Change(Sender: TObject);
begin
  cpFormatedHint1.HorizontalSpacing:=spinedit1.Value;
end;

procedure TForm1.SpinEdit2Change(Sender: TObject);
begin
  cpFormatedHint1.VerticalSpacing:=spinedit2.Value;
end;

procedure TForm1.ComboBox2Change(Sender: TObject);
begin
	cpFormatedHint1.VerticalAlignment:=Tvertalign(combobox2.itemindex);
end;

procedure TForm1.Button6Click(Sender: TObject);
begin
	fontdialog1.Font:=cpFormatedHint1.Font;
	if fontdialog1.Execute then
    cpFormatedHint1.Font.assign(fontdialog1.Font);
end;

procedure TForm1.SpinEdit3Change(Sender: TObject);
begin
  cpFormatedHint1.HorizontalShift:=spinedit3.Value;
end;

end.
